Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.simple
Class ValuePortrayal3D

    java.lang.Object
      sim.portrayal3d.SimplePortrayal3D
          sim.portrayal3d.simple.ValuePortrayal3D

All Implemented Interfaces:
  Portrayal, Portrayal3D, java.io.Serializable

public class ValuePortrayal3D
extends SimplePortrayal3D

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ValuePortrayal3D.DoubleFilter`
`static class` | `ValuePortrayal3D.Filter`
`static class` | `ValuePortrayal3D.IntFilter`
`static class` | `ValuePortrayal3D.ValueWrapper`

Field Summary
`ColorMap` | `map`
`boolean` | `usesTriangles`

Fields inherited from class sim.portrayal3d.SimplePortrayal3D
`DEFAULT_APPEARANCE, parentPortrayal`

Constructor Summary
`ValuePortrayal3D()`

Method Summary
`Inspector` | `getInspector(LocationWrapper wrapper, GUIState state)` Provide an inspector for an object.
`javax.media.j3d.TransformGroup` | `getModel(java.lang.Object obj, javax.media.j3d.TransformGroup j3dModel)` Provides a TransformGroup which defines the node(s) to place in the scenegraph.
`java.lang.String` | `getName(LocationWrapper wrapper)` Returns a name for the given object that is useful for a human to distinguish it from other objects.
`boolean` | `getUsesTriangles()`
`javax.media.j3d.PolygonAttributes` | `polygonAttributes()` Provides a PolygonAttributes which can be modified to change the underlying model's attributes (culling, vertex versus point versus fill).
`void` | `setParentPortrayal(FieldPortrayal3D p)` Sets the parent portrayal (a FieldPortrayal3D).
`void` | `setUsesTriangles(boolean val)`

Methods inherited from class sim.portrayal3d.SimplePortrayal3D
`appearanceForColor, appearanceForImage, clearPickableFlags, setPickableFlags, setPickableFlags, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### usesTriangles

    public boolean usesTriangles

### map

    public ColorMap map

Constructor Detail

### ValuePortrayal3D

    public ValuePortrayal3D()

Method Detail

### getUsesTriangles

    public boolean getUsesTriangles()

### setUsesTriangles

    public void setUsesTriangles(boolean val)

### setParentPortrayal

    public void setParentPortrayal(FieldPortrayal3D p)

  Description copied from class: `SimplePortrayal3D`
  Sets the parent portrayal (a FieldPortrayal3D).

  Overrides:
    `setParentPortrayal` in class `SimplePortrayal3D`

### polygonAttributes

    public javax.media.j3d.PolygonAttributes polygonAttributes()

  Description copied from interface: `Portrayal3D`
  Provides a PolygonAttributes which can be modified to change the underlying model's attributes (culling, vertex versus point versus fill). This is an optional function: you are free to return null

  Specified by:
    `polygonAttributes` in interface `Portrayal3D`
  Overrides:
    `polygonAttributes` in class `SimplePortrayal3D`

### getModel

    public javax.media.j3d.TransformGroup getModel(java.lang.Object obj,
                                                   javax.media.j3d.TransformGroup j3dModel)

  Description copied from interface: `Portrayal3D`
  Provides a TransformGroup which defines the node(s) to place in the scenegraph. This is the Portrayal3D equivalent of Portrayal2D's draw(object, graphics, drawinfo) method.

  You should hang your model off of the TransformGroup provided. You should not transform that TransformGroup in any way -- it is used elsewhere. Instead if you wish to transform your model (rotate it etc.) you should add your own additional TransformGroup as necessary.

  The provided TransformGroup can be null; in this case you need to create and return the outer TransformGroup for the object. If the provided TransformGroup is non-null, you should modify it and return the same.

  SimplePortrayals should assume the following contract: at the point that getModel(...) is called, the parentPortrayal will have already been set if it exists, else it will be null.

  Specified by:
    `getModel` in interface `Portrayal3D`
  Overrides:
    `getModel` in class `SimplePortrayal3D`

### getInspector

    public Inspector getInspector(LocationWrapper wrapper,
                                  GUIState state)

  Description copied from interface: `Portrayal`
  Provide an inspector for an object.

  Specified by:
    `getInspector` in interface `Portrayal`
  Overrides:
    `getInspector` in class `SimplePortrayal3D`

### getName

    public java.lang.String getName(LocationWrapper wrapper)

  Description copied from interface: `Portrayal`
  Returns a name for the given object that is useful for a human to distinguish it from other objects. A simple default would be just to return "" + object.

  Specified by:
    `getName` in interface `Portrayal`
  Overrides:
    `getName` in class `SimplePortrayal3D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD